Bug 219147 - Freeze on X shutdown when running gnome
Freeze on X shutdown when running gnome
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 10:27 EST by Etay Meiri
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-23 16:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Etay Meiri 2006-12-11 10:27:40 EST
Description of problem:
I'm unable to shutdown X when running gnome. The mouse freezes during shutdown
and all I can see is a single colored screen with the mouse. I tried with
blackbox and it works ok (shutdown works ok and I'm back in the console) so I'm
not sure if this is an xorg problem or a gnome problem.
After the freeze I can ssh to the machine as usuall. I checked the process list
and it looks like all gnome related processes including the X server have
already exited.

Version-Release number of selected component (if applicable):
gnome-session-2.16.0-7.fc6
xorg-x11-server-Xorg-1.1.1-47.1.fc6
xorg-x11-drv-sis-0.9.1-7

How reproducible:
Always. Happens whenever I shutdown gnome.


Steps to Reproduce:
1. Run startx with gnome as the window manager.
2. Log off via the menu or ctrl+alt+backspace.
  
Actual results:
Freeze.

Expected results:
Get back to the console.

Additional info:

Machine specification:
AMD athlon XP 2500+
512Mb RAM
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760
PCI/AGP or 662/761Gx PCIE VGA Display Adapter (prog-if 00 [VGA])
        Subsystem: Foxconn International, Inc. Unknown device 0c4d
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 10
        BIST result: 00
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at ec000000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at d000 [size=128]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [50] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW- AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "Monitor"

 ### Comment all HorizSync and VertSync values to use DDC:
        Identifier   "Monitor0"
        ModelName    "LCD Panel 1280x1024"
 ### Comment all HorizSync and VertSync values to use DDC:
        HorizSync    31.5 - 67.0
        VertRefresh  50.0 - 75.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "sis"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "800x600"
        EndSubSection
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "1280x1024" "1280x960" "1280x800" "1152x864" "1152x768"
"1024x768" "800x600" "640x480"
        EndSubSection
EndSection
Comment 1 Ray Strode [halfline] 2006-12-11 10:33:41 EST
is it that gdm isn't coming back up?

does pkill gdm or gdm-restart help?
Comment 2 Etay Meiri 2006-12-11 10:39:08 EST
No gdm. My machine starts in runlevel 3 and I start xorg using 'startx'.

Note You need to log in before you can comment on or make changes to this bug.